QGCacheIterator(3qt)

NAME
QGCacheIterator - An internal class for implementing QCacheIterator and QIntCacheIterator

SYNOPSIS

#include <qgcache.h>

Inherited by QCacheIterator and QIntCacheIterator.

  Protected Members

QGCacheIterator ( const QGCache & )

QGCacheIterator ( const QGCacheIterator & )

~QGCacheIterator ()

QGCacheIterator& operator= ( const QGCacheIterator & )

uint count () const

bool atFirst () const

bool atLast () const

GCI toFirst ()

GCI toLast ()

GCI get () const

const char* getKey () const

GCI operator ()()

GCI operator++ ()

GCI operator+= ( uint )

GCI operator-- ()

GCI operator-= ( uint )

DESCRIPTION
An internal class for implementing QCacheIterator and QIntCacheIterator.

QGCacheIterator is a strictly internal class that does the heavy work for QCacheIterator and QIntCacheIterator.

MEMBER FUNCTION DOCUMENTATION

QGCacheIterator::QGCacheIterator ( const QGCache & c ) [protected]
For internal use only.

QGCacheIterator::QGCacheIterator ( const QGCacheIterator & ci ) [protected]
For internal use only.

QGCacheIterator::~QGCacheIterator () [protected]
For internal use only.

bool QGCacheIterator::atFirst () const [protected]
For internal use only.

bool QGCacheIterator::atLast () const [protected]
For internal use only.

uint QGCacheIterator::count () const [protected]
For internal use only.

GCI QGCacheIterator::get () const [protected]
For internal use only.

const char * QGCacheIterator::getKey () const [protected]
For internal use only.

GCI QGCacheIterator::operator() () [protected]
For internal use only.

GCI QGCacheIterator::operator++ () [protected]
For internal use only.

GCI QGCacheIterator::operator+= ( uint jump ) [protected]
For internal use only.

GCI QGCacheIterator::operator-- () [protected]
For internal use only.

GCI QGCacheIterator::operator-= ( uint jump ) [protected]
For internal use only.

QGCacheIterator & QGCacheIterator::operator= ( const QGCacheIterator & ci ) [protected]
For internal use only.

GCI QGCacheIterator::toFirst () [protected]
For internal use only.

GCI QGCacheIterator::toLast () [protected]
For internal use only.

SEE ALSO
http://www.troll.no/qt/qgcacheiterator.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.